Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.rpcdispatcher
Class RPCParameter

    java.lang.Object
      com.ejie.r01f.rpcdispatcher.RPCParameter

public class RPCParameter
extends java.lang.Object

Modela un parametro de una función

Constructor Summary
`RPCParameter()` Constructor vacio
`RPCParameter(java.lang.String newName, java.lang.String newDataType)` Constructor en base al nombre del parametro y su tipo
`RPCParameter(java.lang.String newName, java.lang.String newDataType, java.lang.String newValue)` Constructor a partir del nombre del parametro, su tipo y su valor en forma de cadena

Method Summary
`java.lang.String` | `getDataType()` Devuelve el tipo de dato del parametro
`int` | `getDataTypeCode()`
`java.lang.String` | `getJavaScript()` Obtiene el JavaScript que compone la llamada RPC var rpcCall = new RPC("module_name"); var functionToCall = new FunctionElement("function_name"); functionToCall.addParam( new Parameter("param_name","param_type","param_value") ); ....
`java.lang.String` | `getName()` Devuelve el nombre de la funcion
`java.lang.Object` | `getValue()` Devuelve el valor del parametro
`void` | `setDataType(java.lang.String newDataType)` Establece el tipo de dato del parametro
`void` | `setName(java.lang.String newName)` Establece el nombre del parametro
`void` | `setValue(java.lang.String newValue)` Establece el valor del parametro
`java.lang.String` | `toString()` Devuelve el parametro en formato cadena
`java.lang.String` | `toXML()` Devuelve el parametro como XML

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RPCParameter

    public RPCParameter()

  Constructor vacio

### RPCParameter

    public RPCParameter(java.lang.String newName,
                        java.lang.String newDataType)

  Constructor en base al nombre del parametro y su tipo

Parameters:
  `newName` - Nombre del parametro
  `newDataType` - Tipo de dato

### RPCParameter

    public RPCParameter(java.lang.String newName,
                        java.lang.String newDataType,
                        java.lang.String newValue)
                 throws RPCException

  Constructor a partir del nombre del parametro, su tipo y su valor en forma de cadena

Parameters:
  `newName` - Nombre del parametro
  `newDataType` - Tipo de dato
  `newValue` - Valor del parametro en forma de cadena
Throws:
  `RPCException` - si el parametro no es correcto

Method Detail

### setName

    public void setName(java.lang.String newName)

  Establece el nombre del parametro

  Parameters:
    `newName` - El nombre

### getName

    public java.lang.String getName()

  Devuelve el nombre de la funcion

  Returns:
    el nombre

### setDataType

    public void setDataType(java.lang.String newDataType)

  Establece el tipo de dato del parametro

  Parameters:
    `newDataType` - El tipo de datos

### getDataType

    public java.lang.String getDataType()

  Devuelve el tipo de dato del parametro

  Returns:
    el tipo

### getDataTypeCode

    public int getDataTypeCode()

  Returns:
    el codigo del tipo de datos

### setValue

    public void setValue(java.lang.String newValue)
                  throws RPCException

  Establece el valor del parametro

  Parameters:
    `newValue` - El nombre
  Throws:
    `RPCException` - si no se puede establecer el valor

### getValue

    public java.lang.Object getValue()

  Devuelve el valor del parametro

  Returns:
    el valor

### getJavaScript

    public java.lang.String getJavaScript()

  Obtiene el JavaScript que compone la llamada RPC var rpcCall = new RPC("module_name"); var functionToCall = new FunctionElement("function_name"); functionToCall.addParam( new Parameter("param_name","param_type","param_value") ); .... rpcCall.addFunction(functionToCall);

  Returns:
    el js

### toXML

    public java.lang.String toXML()

  Devuelve el parametro como XML

  Returns:
    el xml como cadena

### toString

    public java.lang.String toString()

  Devuelve el parametro en formato cadena

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD